%ifarch i386 i586 i686
%define _lib /lib
%endif

%ifarch x86_64
%define _lib /lib64
%endif

%define real_name statistic

Name:           ipt_statistic
Version:        0.1
Release:        1%{?dist}
Summary:        CentOS-5 iptables statistic module

Group:          Development/Libraries
License:        GPLv2
URL:            http://www.kernel.org/
Source0:        %{name}-%{version}.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  iptables
BuildRequires:  iptables-devel kernel-devel


%description
statistic module


%prep
%setup -q


%build
make %{?_smp_mflags} libipt_statistic.so


%install
rm -rf $RPM_BUILD_ROOT
%{__install} -p -D -m 0755 libipt_statistic.so $RPM_BUILD_ROOT%{_lib}/iptables/libipt_statistic.so


%clean
rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/%{_lib}/iptables/libipt_statistic.so



%changelog
* Thu Mar 01 2011 Denis Frolov <d.frolov81@mail.ru> 0.1-1
- Initial package
